
Redmine - Defect #8056

Some fields should be shown LTR even in RTL locales

2011-04-04 13:54 - Ebrahim Mohammadi

Status: New Start date: 2011-04-04

Priority: Normal Due date:  

Assignee: Azamat Hackimov % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:  Affected version: 1.1.2

Description

Some parts of pages (specially some form fields) should be shown as left-to-right (LTR) even in right-to-left (RTL) locales.

Some important fields which should always be shown as LTR everywhere are:

Email address (line edit)

URL (line edit)

Host name (line edit)

Username (line edit)

Password (line edit)

Language (selection list)

Time zone (selection list)

Editor (selection list in admin settings)

Encoding (selection list in repository settings)

All numerical fields (examples: issue id of parent, estimated hours, activity hours, % Done, maximum file sizes, ...)

There may be other always-LTR fields. But finding all of them is an exhaustive task which I haven't done yet.

History

#1 - 2011-04-04 14:05 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2011-04-05 13:00 - Ebrahim Mohammadi

Yet another important always-LTR field: Project identifier (line edit) which can only contain ASCII alphanumeric characters regardless of current

locale.

#3 - 2011-04-07 07:48 - Ebrahim Mohammadi

The first paragraph of /admin/info page (which shows name and version of running Redmine and name of the backend, both always in English) is

always-LTR.

#4 - 2011-04-07 09:43 - Ebrahim Mohammadi

"Age" and "Date" columns of repository view must be RTL in RTL locales. But they're currently always LTR wrongly.
